View Issue Details

IDProjectCategoryLast Update
0019424AI War 2[All Projects] Gameplay IssueFeb 22, 2018 5:12 pm
ReporterBummeriAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.706 
Fixed in Version0.708 
Summary0019424: Building needing to be built after being placed is not clear
DescriptionThe attached picture shows two buildings. Another one is ready and functional. The other one is still being built. Can you guess which one is which?

The game should convey the status of the building being built and provide some idea as to when it is ready.
TagsNo tags attached.

Relationships

related to 0019361 resolvedx4000Bughunter Make ship icons burn and die when their squads do. 

Activities

Bummeri

Feb 10, 2018 9:34 am

reporter  

20180210162938_1.jpg (10,621 bytes)
20180210162938_1.jpg (10,621 bytes)

Dune

Feb 10, 2018 10:19 am

administrator   ~0046953

Added Trello card to review this issue.

BadgerBadger

Feb 11, 2018 1:28 pm

manager   ~0046958

If you zoom in enough you'll see the building looks a ghostly green while it's building. But yeah, having some mechanism for showing this in the icon would be good.

BadgerBadger

Feb 13, 2018 12:17 am

manager   ~0046966

I think this is probably actually a Chris thing rather than a Keith thing. We just need a way to visually represent an "Under Construction" icon, then set that to be used while the structure is being built

x4000Bughunter

Feb 22, 2018 5:12 pm

administrator   ~0047050

Thanks!

* Now, when a ship is under construction it is really easy to see on the gimbal icon's mark level indicator. It has a big panel on it that says "BUILD" if you zoom in enough to see it, or otherwise just is very eye-catching in a helpful way if you're zoomed much further out.
** This is the same as how things like OFF work on them, for ships that are destroyed or disabled (very helpful for checking turret statuses more easily).

Issue History

Date Modified Username Field Change
Feb 10, 2018 9:34 am Bummeri New Issue
Feb 10, 2018 9:34 am Bummeri File Added: 20180210162938_1.jpg
Feb 10, 2018 10:19 am Dune Assigned To => keith.lamothe
Feb 10, 2018 10:19 am Dune Status new => assigned
Feb 10, 2018 10:19 am Dune Note Added: 0046953
Feb 11, 2018 1:28 pm BadgerBadger Note Added: 0046958
Feb 13, 2018 12:17 am BadgerBadger Note Added: 0046966
Feb 13, 2018 12:17 am BadgerBadger Assigned To keith.lamothe => x4000Bughunter
Feb 13, 2018 12:18 am BadgerBadger Relationship added related to 0019361
Feb 22, 2018 5:12 pm x4000Bughunter Status assigned => resolved
Feb 22, 2018 5:12 pm x4000Bughunter Resolution open => fixed
Feb 22, 2018 5:12 pm x4000Bughunter Fixed in Version => 0.708
Feb 22, 2018 5:12 pm x4000Bughunter Note Added: 0047050